Subject: [EXTERNAL] [Mpi-forum] MPI 4.1 Plans and Progress
From: Wes Bland via mpi-forum <[email-masked]>
To: MPI Forum <[email-masked]>
Cc: Wes Bland <[email-masked]>, Martin Schulz <[email-masked]>
Date: Wed, 6 Jul 2022 10:00:06 -0500
List-Id: Main MPI Forum mailing list <mpi-forum.lists.mpi-forum.org>

Hi all, 

We’re going to discuss this at a virtual meeting on July 20th, but as there is some potential pre-work for the owners of these issues, I wanted to give people a preview so they could get started early.

As discussed during the run up to MPI 4.0, we intend MPI 4.1 to be a (relatively) quick update to the MPI Standard to fix more minor issues with unclear semantics, terms, general formatting, etc. This release is not intended to include a large  number of new features (though there will of course be some).

During MPI 4.0, we started using the GitHub Projects features to keep track of how our work was progressing and to understand what our targets were. We also made boards for MPI 4.1 and MPI 5.0. I’d like to draw your attention to the MPI 4.1 project  board for the discussion in a few weeks. Both of the boards show the same data. They just use different layouts. Feel free to look at whichever you like best.

* https://github.com/mpi-forum/mpi-issues/projects/3 (GitHub’s  old project boards version)
* https://github.com/orgs/mpi-forum/projects/1/views/2 (GitHub’s  new project boards version)

I want to point out that we currently have 148 open issues marked for MPI 4.1, which means there is a lot of work that we hope to have done in the next year or so in order to release MPI 4.1. Each of these items has an owner that should be responsible  for moving the issue forward. To find out which issues belong to you, take a look here.  If there is something with your name on it, that means there is something in your chapter that needs work. Please take a look so we can prioritize our work for MPI 4.1. Please also plan to attend the virtual meeting on July 20th to participate in the discussion.

If you no longer plan to actively participate in the MPI Forum, please let Martin and I know so we can help make sure that someone else can pick up this work. We’re not out to shame people here, but holding on to an issue and never  working on it prevents someone else from doing the work (I’m guilty of this myself here).

Thanks to everyone for contributing! Being involved in the MPI Forum is a volunteer position, and all of the work that each of you do is greatly appreciated to help the MPI community. 

Thanks,
Wes